summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Andrzej Telszewski2018-04-19 19:31:32 +0200
committer Willy Sudiarto Raharjo2018-04-21 02:43:06 +0200
commit1221253fd59afbf50d52545dcb9404c3436d2240 (patch)
treea9eb2e117a5933173ce69baa24fd6709d3980eef
parentc1304e9d3d0bd25e7736116c7b22559673800581 (diff)
downloadslackbuilds-1221253fd59afbf50d52545dcb9404c3436d2240.tar.gz
system/spice-guest-tools: Added (SPICE guest tools for windows vms).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
-rw-r--r--system/spice-guest-tools/README18
-rw-r--r--system/spice-guest-tools/slack-desc19
-rw-r--r--system/spice-guest-tools/spice-guest-tools.SlackBuild78
-rw-r--r--system/spice-guest-tools/spice-guest-tools.info10
4 files changed, 125 insertions, 0 deletions
diff --git a/system/spice-guest-tools/README b/system/spice-guest-tools/README
new file mode 100644
index 0000000000..f19674926d
--- /dev/null
+++ b/system/spice-guest-tools/README
@@ -0,0 +1,18 @@
+SPICE guest tools for Windows virtual machines.
+
+This package contains the Windows spice-guest-tools installer ISO
+image that you can attach to your Windows QEMU/KVM virtual machines.
+
+The installer contains the following components:
+- SPICE vdagent,
+- QEMU guest agent,
+- Windows Virtio drivers.
+
+If the optional dependency p7zip is installed, Windows Virtio drivers
+floppy disk images are packaged too.
+
+The purpose of these images is to provide instant access to the Windows
+Virtio drivers. In particular, the drivers can be easily accessed during
+the Windows installation phase. This allows, for example, to install
+the guest using Virtio SCSI disk directly, instead of first going
+through the installation of the standard IDE disk controller.
diff --git a/system/spice-guest-tools/slack-desc b/system/spice-guest-tools/slack-desc
new file mode 100644
index 0000000000..e5b33c0b95
--- /dev/null
+++ b/system/spice-guest-tools/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+spice-guest-tools: spice-guest-tools (SPICE guest tools for Windows virtual machines)
+spice-guest-tools:
+spice-guest-tools: This package contains spice-guest-tools installer ISO image.
+spice-guest-tools:
+spice-guest-tools: Homepage: https://www.spice-space.org/
+spice-guest-tools:
+spice-guest-tools:
+spice-guest-tools:
+spice-guest-tools:
+spice-guest-tools:
+spice-guest-tools:
diff --git a/system/spice-guest-tools/spice-guest-tools.SlackBuild b/system/spice-guest-tools/spice-guest-tools.SlackBuild
new file mode 100644
index 0000000000..b192f2e2a8
--- /dev/null
+++ b/system/spice-guest-tools/spice-guest-tools.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for spice-guest-tools
+
+# Copyright 2018 Andrzej Telszewski, Szczecin
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=spice-guest-tools
+VERSION=${VERSION:-0.141}
+VERSION_VIRTIO="0.1.$( echo $VERSION | rev | cut -f1 -d. | rev )"
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+
+mkdir -p $PKG/usr/share/$PRGNAM
+
+cp $CWD/$PRGNAM-${VERSION}.exe $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+
+mkisofs \
+ -R -J -A $PRGNAM-$VERSION -V $PRGNAM-$VERSION \
+ -o $PKG/usr/share/$PRGNAM/$PRGNAM-${VERSION}.iso \
+ .
+
+cp $CWD/$PRGNAM-${VERSION}.exe $PKG/usr/share/$PRGNAM
+chmod 644 $PKG/usr/share/$PRGNAM/$PRGNAM-${VERSION}.exe
+
+cd $PKG/usr/share/$PRGNAM
+ln -s $PRGNAM-${VERSION}.exe ${PRGNAM}.exe
+ln -s $PRGNAM-${VERSION}.iso ${PRGNAM}.iso
+
+if [ -x /usr/bin/7z ]; then
+ 7z e $PRGNAM-${VERSION}.exe drivers/virtio-win-${VERSION_VIRTIO}_x86.vfd
+ 7z e $PRGNAM-${VERSION}.exe drivers/virtio-win-${VERSION_VIRTIO}_amd64.vfd
+
+ ln -s virtio-win-${VERSION_VIRTIO}_x86.vfd virtio-win_x86.vfd
+ ln -s virtio-win-${VERSION_VIRTIO}_amd64.vfd virtio-win_amd64.vfd
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/spice-guest-tools/spice-guest-tools.info b/system/spice-guest-tools/spice-guest-tools.info
new file mode 100644
index 0000000000..7a01643ea3
--- /dev/null
+++ b/system/spice-guest-tools/spice-guest-tools.info
@@ -0,0 +1,10 @@
+PRGNAM="spice-guest-tools"
+VERSION="0.141"
+HOMEPAGE="https://www.spice-space.org/"
+DOWNLOAD="https://www.spice-space.org/download/windows/spice-guest-tools/spice-guest-tools-0.141/spice-guest-tools-0.141.exe"
+MD5SUM="fec9c56b2c0286d24a0e37e7a3b7f0e7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Andrzej Telszewski"
+EMAIL="atelszewski@gmail.com"